2006-12-20  Quentin Mathe <qmathe@club-internet.fr>

    * iovm/Io_Lexer.c:
    * ObjcBridge/Io2Objc.m:
    Applied two patches by Baptiste Heyman, they makes possible to run Spot
    again. The patches come from <http://baptisteheyman.dyndns.org/Io/> 
    (Baptiste private Io repository).

    Mon Dec 18 14:10:54 CET 2006  Baptiste Heyman <baptisteheyman@yahoo.fr>
        * Fix to allow both old and new Objective-C syntax.

    Sun Dec 17 14:26:09 CET 2006  Baptiste Heyman <baptisteheyman@yahoo.fr>
        * Patch to simplify declarations of methods containing colons in their 
          names.

    Warning!
    * ObjcBridge/IoObjcBridgeInit.m: This file should be updated too since
    ObjcBridge.io has been modified by the previous patches also.

2006-12-06  Yen-Ju Chen <yjchenx at gmail>

    * Update to latest Io.
      Services/User/Spot will break.

2006-11-23  Quentin Mathe <qmathe@club-internet.fr>

    * ObjcBridge/Objc2Io.m:
    * ObjcBridge/Io2Objc.m:
    Improved logging for forward invocation related errors.

2006-11-05  Yen-Ju Chen <yjchenx at gmail>

    * Fix problem of main(). 
      Patched by Yves de Champlain <yves gnu-darwin org>.
    * New patch works both on Cocoa and GNUstep.

2006-10-30  Yen-Ju Chen <yjchenx at gmail>

    * Try to fix compilation with GNUstep/Darwin.

2006-10-26  Yen-Ju Chen <yjchenx at gmail>

    * Reorganize to match current directories of Io.
    * Update to 20061026
    * Put a note about INSTALL_PREFIX in iovm/GNUmakefile
    * Compile on Cocoa.

2006-08-30  Yen-Ju Chen <yjchenx at gmail>

    * Update to Io darcs 20060830 as 0.1.1 release.
    * Remove StepTalk support.

2006-07-06  Yen-Ju Chen <yjchenx at gmail>

    * Update to Io darcs 20060706 (Not ObjcBridge. Only IoVM and AAVector).

2006-06-20  Yen-Ju Chen <yjchenx at gmail>

    * IoFoundation.h:
    * IoFoundation.m:
    * IoAppKit.h:
    * IoAppKit.m:
    Import constants.

2006-05-27  Yen-Ju Chen <yjchenx at gmail>

    * Update to Io darcs 20060527 (Only ObjcBridge).
    * Compiling assembly code in a better way.

2006-05-26  Yen-Ju Chen <yjchenx at gmail>

    * Update to Io darcs 20060526.
      Try to make minimal change to make it easier to sync in the future.
    * Tested on GNUstep/Ubuntu/PPC with test_gnustep.io.
    * On Cocoa:
      Only ioobjc works, not with StepTalk (because of the assembly code ?).
    * On GNUstep/Ubuntu/PPC:
      Both ioobjc and StepTalk bundle ('make steptalk=yes') compiles.
      ioobjc works for test.io. 
      StepTalk bundle is tested with 'stexec test.io'.

2006-05-26  Quentin Mathe <qmathe@club-internet.fr>

	Fixed compilation on GNUstep.
	* GNUmakefile.tool: Fixed typos.
	* IoLanguageEngine.h: Fixed wrong import statement, now looks for STEngine
	header in StepTalk headers and not anymore locally.

2006-05-26  Quentin Mathe <qmathe@club-internet.fr>

	This a special port of Io language to GNUstep done by Yen-Ju Chen.
    * ChangeLog:
    * GNUmakefile:
    * GNUmakefile.postamble:
    * GNUmakefile.tool:
    * Info.plist:
    * IoLanguageEngine.h:
    * IoLanguageEngine.m:
    * IoLanguageInfo.plist:
    * IoVM:
    * main.m:
    * README:
    * STEngine.h:
    * test_cocoa.io:
    * test_gnustep.io:

    * AAVector/GNUmakefile:
    * AAVector/IoAAVectorInit.c:
    * AAVector/IoBox.c:
    * AAVector/IoBox.h:
    * AAVector/IoVector.c:
    * AAVector/IoVector.h:
    * AAVector/Trans.h:
    * AAVector/Vector.c:
    * AAVector/Vector.h:

    * IoVM/_BSDLicense.txt:
    * IoVM/GNUmakefile:
    * IoVM/IoBlock.c:
    * IoVM/IoBlock.h:
    * IoVM/IoCall.c:
    * IoVM/IoCall.h:
    * IoVM/IoCFunction.c:
    * IoVM/IoCFunction.h:
    * IoVM/IoCollector.c:
    * IoVM/IoCollector.h:
    * IoVM/IoCompiler.c:
    * IoVM/IoCompiler.h:
    * IoVM/IoConfig.h:
    * IoVM/IoContext.h:
    * IoVM/IoCoroutine.c:
    * IoVM/IoCoroutine.h:
    * IoVM/IoDate.c:
    * IoVM/IoDate.h:
    * IoVM/IoDebugger.c:
    * IoVM/IoDebugger.h:
    * IoVM/IoDirectory.c:
    * IoVM/IoDirectory.h:
    * IoVM/IoDuration.c:
    * IoVM/IoDuration.h:
    * IoVM/IoDynLib.c:
    * IoVM/IoDynLib.h:
    * IoVM/IoFile.c:
    * IoVM/IoFile.h:
    * IoVM/IoFile_stat.c:
    * IoVM/IoFile_stat.h:
    * IoVM/IoLexer.c:
    * IoVM/IoLexer.h:
    * IoVM/IoList.c:
    * IoVM/IoList.h:
    * IoVM/IoMap.c:
    * IoVM/IoMap.h:
    * IoVM/IoMessage.c:
    * IoVM/IoMessage.h:
    * IoVM/IoMessage_inline.h:
    * IoVM/IoMessage_parser.c:
    * IoVM/IoMessage_parser.h:
    * IoVM/IoNumber.c:
    * IoVM/IoNumber.h:
    * IoVM/IoObject.c:
    * IoVM/IoObject_flow.c:
    * IoVM/IoObject_flow.h:
    * IoVM/IoObject.h:
    * IoVM/IoObject_inline.h:
    * IoVM/IoObject_persistence.c:
    * IoVM/IoObject_persistence.h:
    * IoVM/IoObject_struct.h:
    * IoVM/IoRandom.c:
    * IoVM/IoRandom.h:
    * IoVM/IoRange.c:
    * IoVM/IoRange.h:
    * IoVM/IoRange_inline.h:
    * IoVM/IoSandbox.c:
    * IoVM/IoSandbox.h:
    * IoVM/IoSeq.c:
    * IoVM/IoSeq.h:
    * IoVM/IoSeq_immutable.c:
    * IoVM/IoSeq_immutable.h:
    * IoVM/IoSeq_inline.h:
    * IoVM/IoSeq_mutable.c:
    * IoVM/IoSeq_mutable.h:
    * IoVM/IoState.c:
    * IoVM/IoState_callbacks.c:
    * IoVM/IoState_callbacks.h:
    * IoVM/IoState_coros.c:
    * IoVM/IoState_coros.h:
    * IoVM/IoState_debug.c:
    * IoVM/IoState_debug.h:
    * IoVM/IoState_eval.c:
    * IoVM/IoState_eval.h:
    * IoVM/IoState_exceptions.c:
    * IoVM/IoState_exceptions.h:
    * IoVM/IoState_flowControl.c:
    * IoVM/IoState_flowControl.h:
    * IoVM/IoState.h:
    * IoVM/IoState_inline.h:
    * IoVM/IoState_symbols.c:
    * IoVM/IoState_symbols.h:
    * IoVM/IoStore.c:
    * IoVM/IoStore.h:
    * IoVM/IoSystem.c:
    * IoVM/IoSystem.h:
    * IoVM/IoTag.c:
    * IoVM/IoTag.h:
    * IoVM/IoTag_inline.h:
    * IoVM/IoToken.c:
    * IoVM/IoToken.h:
    * IoVM/IoToken_parser.c:
    * IoVM/IoToken_parser.h:
    * IoVM/IoVersion.h:
    * IoVM/IoVMCode.c:
    * IoVM/IoVM.h:
    * IoVM/IoWeakLink.c:
    * IoVM/IoWeakLink.h:
    * IoVM/main.c:

    * IoVM/base/Base.h:
    * IoVM/base/BStream.c:
    * IoVM/base/BStream.h:
    * IoVM/base/BStreamTag.c:
    * IoVM/base/BStreamTag.h:
    * IoVM/base/ByteArray.c:
    * IoVM/base/ByteArray.h:
    * IoVM/base/ByteArray_inline.h:
    * IoVM/base/Collector.c:
    * IoVM/base/Collector.h:
    * IoVM/base/Collector_inline.h:
    * IoVM/base/CollectorMarker.c:
    * IoVM/base/CollectorMarker.h:
    * IoVM/base/CollectorMarker_inline.h:
    * IoVM/base/Common.c:
    * IoVM/base/Common.h:
    * IoVM/base/Common_inline.h:
    * IoVM/base/Coro.c:
    * IoVM/base/Coro.h:
    * IoVM/base/Date.c:
    * IoVM/base/Date.h:
    * IoVM/base/Datum.c:
    * IoVM/base/Datum.h:
    * IoVM/base/Duration.c:
    * IoVM/base/Duration.h:
    * IoVM/base/DynLib.c:
    * IoVM/base/DynLib.h:
    * IoVM/base/GNUmakefile:
    * IoVM/base/Hash.c:
    * IoVM/base/Hash.h:
    * IoVM/base/Hash_inline.h:
    * IoVM/base/List.c:
    * IoVM/base/List.h:
    * IoVM/base/List_inline.h:
    * IoVM/base/MainArgs.c:
    * IoVM/base/MainArgs.h:
    * IoVM/base/PHash.c:
    * IoVM/base/PHash.h:
    * IoVM/base/PHash_inline.h:
    * IoVM/base/PortableGettimeofday.c:
    * IoVM/base/PortableGettimeofday.h:
    * IoVM/base/PortableSnprintf.c:
    * IoVM/base/PortableStrlcpy.c:
    * IoVM/base/PortableStrlcpy.h:
    * IoVM/base/PortableStrptime.c:
    * IoVM/base/PortableStrptime.h:
    * IoVM/base/PortableTruncate.c:
    * IoVM/base/PortableTruncate.h:
    * IoVM/base/PortableUsleep.c:
    * IoVM/base/PortableUsleep.h:
    * IoVM/base/PortalbleStdint.h:
    * IoVM/base/RandomGen.c:
    * IoVM/base/RandomGen.h:
    * IoVM/base/Sorting.c:
    * IoVM/base/Sorting.h:
    * IoVM/base/Stack.c:
    * IoVM/base/Stack.h:
    * IoVM/base/Stack_inline.h:
    * IoVM/base/UTinstant.c:
    * IoVM/base/UTinstant.h:
    * IoVM/base/UTzones.c:
    * IoVM/base/UTzones.h:

    * IoVM/SkipDB/_BSDLicense.txt:
    * IoVM/SkipDB/GNUmakefile:
    * IoVM/SkipDB/JFile.c:
    * IoVM/SkipDB/JFile.h:
    * IoVM/SkipDB/_ReadMe.txt:
    * IoVM/SkipDB/SkipDB.c:
    * IoVM/SkipDB/SkipDBCursor.c:
    * IoVM/SkipDB/SkipDBCursor.h:
    * IoVM/SkipDB/SkipDB.h:
    * IoVM/SkipDB/SkipDBM.c:
    * IoVM/SkipDB/SkipDBM.h:
    * IoVM/SkipDB/SkipDBRecord.c:
    * IoVM/SkipDB/SkipDBRecord.h:
    * IoVM/SkipDB/UDB.c:
    * IoVM/SkipDB/UDB.h:
    * IoVM/SkipDB/UDBIndex.c:
    * IoVM/SkipDB/UDBIndex.h:
    * IoVM/SkipDB/UDBRecord.c:
    * IoVM/SkipDB/UDBRecord.h:
    * IoVM/SkipDB/UDBRecords.c:
    * IoVM/SkipDB/UDBRecords.h:

	* ObjcBridge/GNUmakefile:
    * ObjcBridge/Io2Objc.h:
    * ObjcBridge/Io2Objc.m:
    * ObjcBridge/Io_NSApplicationMain.h:
    * ObjcBridge/Io_NSApplicationMain.m:
    * ObjcBridge/IoObjcBridge.h:
    * ObjcBridge/IoObjcBridgeInit.m:
    * ObjcBridge/IoObjcBridge.m:
    * ObjcBridge/MethodDeclarations.h:
    * ObjcBridge/MethodDeclarations.m:
    * ObjcBridge/Objc2Io.h:
    * ObjcBridge/Objc2Io.m:
    * ObjcBridge/ObjcSubclass.h:
    * ObjcBridge/ObjcSubclass.m:

	Initial import of Io language in a module which provides a tool, a bundle and a language
	engine for StepTalk, the three built with Objective-C support.
